# ApiConfigureForKerberosArguments Data Model

Arguments used to configure a cluster for Kerberos.

Properties
name | data type | description
--- | --- | ---
datanodeTransceiverPort | number | The HDFS DataNode transceiver port to use. This will be applied to all DataNode role configuration groups. If not specified, this will default to 1004.
datanodeWebPort | number | The HDFS DataNode web port to use. This will be applied to all DataNode role configuration groups. If not specified, this will default to 1006.

Example

    {
      "datanodeTransceiverPort" : 12345,
      "datanodeWebPort" : 12345
    }